Subject: Re: bug#78561: [PATCH] Add semantic linefeed support for paragraph filling
From: Eli Zaretskii <[email-masked]>
To: Roi Martin <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 14 Jun 2025 16:43:19 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Roi Martin <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked],
>  [email-masked]
> Date: Tue, 03 Jun 2025 08:45:17 +0200
> 
> Stefan Monnier <[email-masked]> writes:
> 
> > Side comment, tho: it would be good to get rid of the `with-restriction`
> > so that the code can see the surrounding text.  In the past such
> > restrictions in `fill.el` have posed problems for example when we want
> > to refill code in a way that obeys indentation rules or that
> > needs to distinguish filling within strings vs filling within comments.
> 
> The latest version is far from perfect but works well for the most
> common use cases.  The included tests can given you an idea of the
> current state.  Are you OK with tackling the `with-restriction'
> improvement in a future patch?

Thanks, I've now installed this on the master branch, and I'm
therefore closing the bug.